/**
 * Sencha GXT 4.0.0 - Sencha for GWT
 * Copyright (c) 2006-2015, Sencha Inc.
 *
 * licensing@sencha.com
 * http://www.sencha.com/products/gxt/license/
 *
 * ================================================================================
 * Open Source License
 * ================================================================================
 * This version of Sencha GXT is licensed under the terms of the Open Source GPL v3
 * license. You may use this license only if you are prepared to distribute and
 * share the source code of your application under the GPL v3 license:
 * http://www.gnu.org/licenses/gpl.html
 *
 * If you are NOT prepared to distribute and share the source code of your
 * application under the GPL v3 license, other commercial and oem licenses
 * are available for an alternate download of Sencha GXT.
 *
 * Please see the Sencha GXT Licensing page at:
 * http://www.sencha.com/products/gxt/license/
 *
 * For clarification or additional options, please contact:
 * licensing@sencha.com
 * ================================================================================
 *
 *
 * ================================================================================
 * Disclaimer
 * ================================================================================
 * THIS SOFTWARE IS DISTRIBUTED "AS-IS" WITHOUT ANY WARRANTIES, CONDITIONS AND
 * REPRESENTATIONS WHETHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION THE
 * IMPLIED WARRANTIES AND CONDITIONS OF MERCHANTABILITY, MERCHANTABLE QUALITY,
 * FITNESS FOR A PARTICULAR PURPOSE, DURABILITY, NON-INFRINGEMENT, PERFORMANCE AND
 * THOSE ARISING BY STATUTE OR FROM CUSTOM OR USAGE OF TRADE OR COURSE OF DEALING.
 * ================================================================================
 */
package com.sencha.gxt.theme.triton.custom.client.slider;

import com.google.gwt.core.client.GWT;
import com.google.gwt.resources.client.ImageResource;
import com.google.gwt.resources.client.ImageResource.ImageOptions;
import com.sencha.gxt.theme.triton.client.base.slider.Css3HorizontalSliderAppearance;

public class TritonHorizontalSliderAppearance extends Css3HorizontalSliderAppearance {

  public interface TritonHorizontalSliderResources extends Css3HorizontalSliderResources {

    @Source({"com/sencha/gxt/theme/triton/client/base/slider/Css3HorizontalSlider.gss",
            "TritonSlider.gss", "TritonHorizontalSlider.gss"})
    TritonHorizontalSliderStyle style();

    @ImageOptions(width = 20, height = 20)
    ImageResource sliderThumbHorizontal();
  }

  public interface TritonHorizontalSliderStyle extends Css3HorizontalSliderStyle {
  }

  public TritonHorizontalSliderAppearance() {
    this(GWT.<TritonHorizontalSliderResources> create(TritonHorizontalSliderResources.class));
  }

  public TritonHorizontalSliderAppearance(Css3HorizontalSliderResources resources) {
    super(resources);
  }
}
